Remove a competition image
DELETE/v1/competitions/{competitionId}/images/{imageTemplateId}
const url = 'https://api.ligr.live/rest/v1/competitions/1/images/1';const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url https://api.ligr.live/rest/v1/competitions/1/images/1 \ --header 'Authorization: Bearer <token>'Removes the competition’s image for one template. Live overlays stop showing it.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Entity identifier
The competition id
Entity identifier
The id of a competition image template
Responses
Section titled “Responses”Ok
The image of one player, team or competition for one image template.
object
Entity identifier
Pixel width the image must have.
Pixel height the image must have.
URL of the entity’s image for the template. Null: the entity has no image for the template.
URL of the template’s default image. Null: the template has no default image.
Examplegenerated
{ "imageTemplateId": 1, "templateName": "example", "width": 1, "height": 1, "url": "example", "defaultImageUrl": "example"}Request is invalid
object
object
Examplegenerated
{ "message": "example", "details": { "additionalProperty": "example" }}Missing or invalid api key
object
Examplegenerated
{ "message": "example"}Api key provides insufficient access for the request
object
Examplegenerated
{ "message": "example"}Competition or image template not found
object
Examplegenerated
{ "message": "example"}Organization has made too many requests
object
Examplegenerated
{ "message": "example"}An unexpected error has occured. If problems persist please contact support
object
Examplegenerated
{ "message": "example"}